Download it now!
Bug 41205 - PRINTING: clicking radio button "Pages" should select pane contents for page selection
Summary: PRINTING: clicking radio button "Pages" should select pane contents for page ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: low enhancement
Assignee: Michael Weghorn
URL:
Whiteboard: BSA target:3.5 target:6.4.0
Keywords:
Depends on:
Blocks: Print-Dialog PDF-Export-Options-Dialog
  Show dependency treegraph
 
Reported: 2011-09-25 22:21 UTC by Rainer Bielefeld Retired
Modified: 2019-11-08 23:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-09-25 22:21:11 UTC
When a user selects "Pages" radio button in the Range section, it is very reasonable to expect that he would now want to specify the range and insert the page numbers into the pane. Moving the focus automatically to the page range edit pane would save  a mouse click.

Steps to reproduce with "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]":

1. Open new WRITER document
2. Menu 'File -> Print -> General'
3. Click radio button "Pages"
   Expected: "1" in pages pane becomes selected, user can
             edit immediately
   Actual: Nothing

It's the same in the PDF Export dialog, only difference that there is no default entry in the pane.
              
- Reported with Bug Submission Assistant -
Comment 1 Rainer Bielefeld Retired 2011-09-25 22:23:25 UTC
Found that in OOo Bugzilla, there is a Patch as attachment what might also work in LibO?
Comment 2 devel 2011-09-28 13:25:52 UTC
(In reply to comment #0)
> When a user selects "Pages" radio button in the Range section, it is very
> reasonable to expect that he would now want to specify the range and insert the
> page numbers into the pane. Moving the focus automatically to the page range
> edit pane would save  a mouse click.

I agree.
But also it is reasonable to expect that he would now want to specify some other range than the full range.
I think, the most common behaviour after printing all pages would be to print only the current single page. 

Thus I propose to a.) automatically show the current page only (as it was before in the legacy UI-version of openoffice/libreoffice) and the b.) move the focus automatically  as described.

Thanks.
Comment 3 Korrawit Pruegsanusak 2011-10-08 00:06:23 UTC
Iorsh (author of patch in apache bugzilla) has sent this patch to us, which do focusing only in pdf export dialog.
And, this patch was pushed in master => target: 3.5 & modify subject a bit.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6087dc9cddde7052258996389d561f415ebee13c
Comment 4 Korrawit Pruegsanusak 2011-10-08 00:18:20 UTC
(In reply to comment #2)
> Thus I propose to a.) automatically show the current page only (as it was
> before in the legacy UI-version of openoffice/libreoffice)

We have bug 34697 to implement this, which will be in 3.5 for writer. This only affects printing dialog, not pdf export dialog. If you also want it in pdf export dialog, please file new bug report. (else this issue will be more complicated)

To summarize what we will have in 3.5, currently as I understood (not tested yet)
                  |   show current page  | auto-focus
------------------+----------------------+------------
printing dialog   | yes (only in writer) |    no<--this issue is to fix this
pdf export dialog |          no          |    yes
Comment 5 sasha.libreoffice 2012-02-03 05:36:00 UTC
in LibO 3.6.0 master:
> automatically show the current page only
done
> "1" in pages pane becomes selected, user can edit immediately
no
Comment 6 A (Andy) 2014-09-22 21:40:09 UTC
Reproducible with LO 4.3.1.2 (Win 8.1): "1" becomes not selected
Comment 7 Michael Weghorn 2019-11-08 16:08:15 UTC
Patch in Gerrit: https://gerrit.libreoffice.org/#/c/82310/
Comment 8 Commit Notification 2019-11-08 23:19:47 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d456ca6efb98d707427228e8131dfe8a5f27e2f6

tdf#41205 Auto-focus range edit in print dialog

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.